.shadowBox {
    overflow: visible !important;
}

.tool__wrapper {
    border: 1px solid #e2e2e2;
    background: #f4f8f9;
    border-radius: 8px;
    position: relative;
}

.tool__area {
    border-bottom-left-radius: inherit;
    border-bottom-right-radius: inherit;
}

.modes__wrapper {
    border-bottom: 1px solid #e2e2e2;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 8px;
    padding: 10px 8px;
}

.input_ label {
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;
    color: #7f8384;
    text-wrap: nowrap;
    margin-bottom: 0px !important;
    cursor: pointer;
}

.input_ {
    display: flex;
    flex-direction: row;
    gap: 8px;
    padding: 0px 8px;
    align-items: center;
    justify-content: space-between;
    border-radius: 6px;
    width: 100%;
    box-sizing: border-box;
}

.input__action,
.output_section {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    background: #f4f8f9;
    border-radius: 6px;
}

.input_ input[type="checkbox"] {
    background: #0075ff;
    border: 2px solid #ffffff;
    margin: unset !important;
    width: 16px;
    height: 16px;
    border-radius: 3px !important;
    cursor: pointer;
}

.repeat_text_btn {
    display: flex;
    align-items: center;
    border-radius: 6px;
    padding: 6px 12px;
    color: white;
    gap: 2px;
    font-size: 16px;
    background-color: #3acd99;
}

.input_ input {
    width: 100%;
    padding: 10px;
    background: #ffffff;
    font-size: 14px;
    line-height: 20px;
    color: #7f8384;
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 6px 8px;
    gap: 48px;
    border: 1px solid #e2e2e2;
    border-radius: 6px !important;
    outline: none;
    transition: all 0.3s ease;
    max-width: 140px;
}

._action__wrapper_ {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    align-items: center;
}

.mode {
    display: flex;
    position: relative;
    align-items: center;
    justify-content: space-between;
    gap: 8px;
    border-radius: 5px;
    padding: 6px 10px;

    cursor: pointer;
}

.mode.active {
    box-shadow: 0px 4px 4px 0px #0000000f;
    background-color: #ffffff;
}

.mode__text {
    color: #7f8384;
    font-size: 14px;
    line-height: 20px;
}

.mode.active .mode__text {
    color: #000;
}

.mt-3 {
    margin-top: 1rem !important;
}

.opacity {
    opacity: 0.5;
}

.col-md-12 {
    width: 100%;
}

.d-flex {
    display: flex;
}

.flex-1 {
    flex: 1;
}

.bg-white {
    background-color: #ffffff;
}

.write__text_div,
#outputBox {
    width: 100%;
    resize: none;
    height: 270px;
    outline: none;
    padding: 10px;
    border: 0;
    max-height: 270px;
    overflow-y: scroll;
    word-break: break-word;
}

.input_area {
    border-right: 1px solid #e2e2e2;
    position: relative;
}

.bottom_action__wrapper {
    height: 52px;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 8px 10px;
    border-top: 1px solid #e2e2e2;
}

#cloudflare_container {
    position: absolute;
    right: 10px;
    bottom: 10px;
    z-index: 100;
}

/* Custom scrollbar styling */
.left_action {
    display: flex;
    gap: 1rem;
    align-items: center;
    justify-content: space-between;
    transition: all 4s ease;
}

.right__btn {
    display: flex;
    justify-content: center;
    gap: 8px;
}

.humanize_btn {
    display: flex;
    align-items: center;
    gap: 2px;
    display: inline-block;
    border-radius: 6px;
    padding: 6px 12px;
    background: #000000;
    color: white;
    font-size: 16px;
}

.humanize_btn_beta {
    background: linear-gradient(90deg, #37cc99 0%, #1eaea9 100%) !important;
}

.dummy_text {
    font-size: 16px;
    font-weight: 400;
    color: #c1c1c1;
    line-height: 20px;
}

.uperSelectBoxLang::-webkit-scrollbar {
    width: 13px;
}

.uperSelectBoxLang::-webkit-scrollbar-track {
    background-color: #f2f7f9;
}

.uperSelectBoxLang::-webkit-scrollbar-thumb {
    background-color: #00b698;
    border-radius: 2px;
    border: 3px solid transparent;
    background-clip: content-box;
}

.upload__doc {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 6px;
    gap: 7px;
    background: #f4f8f9;
    border-radius: 6px;
}

.word__counter {
    min-width: 90px;
}

.word__counter span,
.upload__doc,
.upload__doc span,
.outputWords {
    font-weight: 500;
    font-size: 14px;
    color: #7f8384;
    line-height: 20px;
}

.cursor-pointer {
    cursor: pointer;
}

.input__area_abs {
    position: absolute;
    top: 25%;
    display: flex;
    align-items: center;
    gap: 2rem;
    left: 50%;
    transform: translateX(-50%);
}

.sample_text,
.paste_text {
    width: 120px;
    min-height: 74px;
    max-width: 300px;
    display: flex;
    gap: 4px;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border: 1px solid #e2e2e2;
    padding: 6px;
    border-radius: 6px;
    font-size: 14px;
    color: #9da0a1;
    line-height: 18px;
    text-align: center;
}

.loading-overlay {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 100%;
    align-items: center;
    flex-direction: column;
    justify-content: center;
}

.loading-overlay .lds-dual-ring {
    top: unset !important;
}

.p-relative {
    position: relative;
}

#btnDiv {
    position: absolute;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    min-height: 52px;
    padding: 8px 10px;
    border-top: 1px solid #e2e2e2;
    background-color: #fff;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
}

.width-100 {
    width: 100%;
}

.justify-content-between {
    justify-content: space-between;
}

.download__copy {
    display: flex;
    align-items: center;
    gap: 8px;
}

.download__copy span {
    display: flex;
    padding: 6px;
    background: #f4f8f9;
    border-radius: 6px;
    width: 32px;
    height: 32px;
    text-align: center;
    font-size: 16px;
}

@media (width<=992px) {
    .tool__area {
        flex-direction: column;
    }

    .write__text_div,
    #outputBox {
        border: 1px solid #e2e2e2;
        padding: 20px 10px;
    }

    .bottom_action__wrapper {
        border-bottom: none !important;
    }

    .output_area {
        display: none;
    }
}

@media (width<=600px) {
    ._action__wrapper_ {
        flex-direction: column;
        gap: 10px;
    }
}

@media (width<=500px) {
    .modes__wrapper {
        overflow-x: scroll;
    }

    .bottom_action__wrapper {
        height: unset !important;
        gap: 10px;
        padding: 8px 6px;
    }

    .humanize_btn {
        padding: 6px 8px;
    }

    #btnDiv {
        gap: 8px;
        flex-direction: column-reverse;
    }
}